classification
Title: curses attribute constants list is incomplete
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, berker.peksag, docs@python, haypo, serhiy.storchaka, twouters, xiang.zhang
Priority: normal Keywords:

Created on 2017-04-26 16:10 by xiang.zhang, last changed 2017-06-19 14:13 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1302 merged xiang.zhang, 2017-04-26 16:12
PR 2241 merged Mariatta, 2017-06-16 06:16
PR 2277 merged xiang.zhang, 2017-06-19 14:00
PR 2278 merged xiang.zhang, 2017-06-19 14:05
Messages (9)
msg292375 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-26 17:15
Initially constants was enumerated in alphabetical order (except A_ITALIC). Maybe continue supporting this order? On other hand, it may be worth to group highlighting attributes separately. A_ATTRIBUTES, A_CHARTEXT and A_COLOR are not specific attributes, but bit masks, they also could be grouped separately or moved into a separate table.

Perhaps it is worth to add notes for A_ITALIC and highlighting attributes. They are not always available.
msg292377 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-04-26 17:25
+1 for group. I added "The exact constants available are system dependent" to note some may be absent.
msg292379 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-26 17:46
I still think that the difference between the groups should be documented in more details. Not all functions that support A_BOLD support also A_ITALIC and A_HORIZONTAL (even if they are defined). Bit masks are used in totally different way than other constants.
msg292388 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-04-27 02:48
I can't find any official, portable doc about the details so I don't prefer to have them. I support bit-masks are different. Previously I don't what's the better way to organize them, now I have a try. Please check the update. :-)
msg296155 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-16 03:20
New changeset 116dd5eba60a940b35db6aaf4e8c998ac30ad440 by Mariatta (Xiang Zhang) in branch 'master':
bpo-30176: Add missing curses cell attributes constants (GH-1302)
https://github.com/python/cpython/commit/116dd5eba60a940b35db6aaf4e8c998ac30ad440
msg296195 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-16 14:19
New changeset 304a96e5868c1b38a87692668f297aaf041e6e67 by Mariatta in branch '3.6':
bpo-30176: Add missing curses cell attributes constants (GH-1302). (GH-2241)
https://github.com/python/cpython/commit/304a96e5868c1b38a87692668f297aaf041e6e67
msg296341 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-06-19 14:07
New changeset 04521c275e47e4df59046ee0297810f06c208350 by Xiang Zhang in branch '3.5':
bpo-30176: Add missing curses cell attributes constants (#2277)
https://github.com/python/cpython/commit/04521c275e47e4df59046ee0297810f06c208350
msg296342 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-06-19 14:12
New changeset b39a7481ee7e6166d6d2b252a7a514b1f6553dfa by Xiang Zhang in branch '2.7':
bpo-30176: Add missing curses cell attributes constants (#2278)
https://github.com/python/cpython/commit/b39a7481ee7e6166d6d2b252a7a514b1f6553dfa
msg296343 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2017-06-19 14:13
Thanks Mariatta and Serhiy!
History
Date User Action Args
2017-06-19 14:13:28xiang.zhangsetstatus: open -> closed
resolution: fixed
messages: + msg296343

stage: backport needed -> resolved
2017-06-19 14:12:47xiang.zhangsetmessages: + msg296342
2017-06-19 14:07:02xiang.zhangsetmessages: + msg296341
2017-06-19 14:05:01xiang.zhangsetpull_requests: + pull_request2327
2017-06-19 14:00:42xiang.zhangsetpull_requests: + pull_request2326
2017-06-16 14:19:58Mariattasetmessages: + msg296195
2017-06-16 06:16:03Mariattasetpull_requests: + pull_request2284
2017-06-16 04:00:22xiang.zhangsetstage: patch review -> backport needed
2017-06-16 03:20:10Mariattasetnosy: + Mariatta
messages: + msg296155
2017-04-27 02:48:43xiang.zhangsetmessages: + msg292388
2017-04-26 17:47:58serhiy.storchakasetnosy: + twouters
2017-04-26 17:46:26serhiy.storchakasetmessages: + msg292379
2017-04-26 17:25:12xiang.zhangsetmessages: + msg292377
2017-04-26 17:15:06serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg292375
2017-04-26 16:12:13xiang.zhangsetpull_requests: + pull_request1409
2017-04-26 16:10:21xiang.zhangcreate